﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PLANTEMPLATE') 
 CREATE TABLE T_PMPM_PLANTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRETEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FVALIDVERSION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PLANTEMPLATE_L') 
 CREATE TABLE T_PMPM_PLANTEMPLATE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PLANTPLRELEVANT') 
 CREATE TABLE T_PMPM_PLANTPLRELEVANT (
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PLANTPLTASKENTRY') 
 CREATE TABLE T_PMPM_PLANTPLTASKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FABSOLUTEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELATIVEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FTASKNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL,
FSPECTYPEID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRETASK VARCHAR(100) DEFAULT ' ' NOT NULL,
FACHIEVEMENTNODE CHAR(1) DEFAULT '0' NOT NULL,
FDISABLE CHAR(1) DEFAULT '0' NOT NULL,
FPRETASKID BIGINT DEFAULT 0 NOT NULL,
FTASKNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLOGICAL VARCHAR(30) DEFAULT ' ' NOT NULL,
FRESPONSIBLEPOSTID VARCHAR(36) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FASSOCIATEPOSTID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PLANTPLRESDETAIL') 
 CREATE TABLE T_PMPM_PLANTPLRESDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULTNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FFORCE CHAR(1) DEFAULT '0' NOT NULL,
FFREQUENCY VARCHAR(30) DEFAULT ' ' NOT NULL,
FRESULTDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
