﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMPM_MAJORTYPE', 'T_PMPM_MAJORTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_T_MAJORTYPEL_NUMBER') CREATE  CLUSTERED INDEX IDX_PMPM_T_MAJORTYPEL_NUMBER ON T_PMPM_MAJORTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPM_MAJORTYPE_L', 'T_PMPM_MAJORTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPM_MAJORTYPE_L_0') CREATE  CLUSTERED INDEX IDX_T_PMPM_MAJORTYPE_L_0 ON T_PMPM_MAJORTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPM_WORKHOURS', 'T_PMPM_WORKHOURS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_T_WORKHOUR_NUMBER') CREATE  CLUSTERED INDEX IDX_PMPM_T_WORKHOUR_NUMBER ON T_PMPM_WORKHOURS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPM_WORKHOURS_L', 'T_PMPM_WORKHOURS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPM_WORKHOUR_L_0') CREATE  CLUSTERED INDEX IDX_T_PMPM_WORKHOUR_L_0 ON T_PMPM_WORKHOURS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPM_PROJWORKCALENDER_L', 'T_PMPM_PROJWORKCALENDER_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_PROJCALENDER_L_0') CREATE  CLUSTERED INDEX IDX_PMPM_PROJCALENDER_L_0 ON T_PMPM_PROJWORKCALENDER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASK', 'T_PMPM_TASK', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASK_1') CREATE  CLUSTERED INDEX IDX_PMPM_TASK_1 ON T_PMPM_TASK ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPM_TASK_COOPDEPT', 'T_PMPM_TASK_COOPDEPT', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASK_COOPDEPT_FK') CREATE  CLUSTERED INDEX IDX_PMPM_TASK_COOPDEPT_FK ON T_PMPM_TASK_COOPDEPT ( FID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASK_COOPER', 'T_PMPM_TASK_COOPER', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASK_COOPER_FK') CREATE  CLUSTERED INDEX IDX_PMPM_TASK_COOPER_FK ON T_PMPM_TASK_COOPER ( FID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASK_L', 'T_PMPM_TASK_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASK_L_0') CREATE  CLUSTERED INDEX IDX_PMPM_TASK_L_0 ON T_PMPM_TASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASKREFERATTDETAIL', 'T_PMPM_TASKREFERATTDETAIL', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASKREFERATTDETAIL_1') CREATE  CLUSTERED INDEX IDX_PMPM_TASKREFERATTDETAIL_1 ON T_PMPM_TASKREFERATTDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASKREFERENTRY', 'T_PMPM_TASKREFERENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASKREFERENTRY_FK') CREATE  CLUSTERED INDEX IDX_PMPM_TASKREFERENTRY_FK ON T_PMPM_TASKREFERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPM_TASKRESULTENTRY', 'T_PMPM_TASKRESULTENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_TASKRESULTENTRY_FK') CREATE  CLUSTERED INDEX IDX_PMPM_TASKRESULTENTRY_FK ON T_PMPM_TASKRESULTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPM_DEPTPLAN', 'T_PMPM_DEPTPLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_DEPTPLAN_1') CREATE  CLUSTERED INDEX IDX_PMPM_DEPTPLAN_1 ON T_PMPM_DEPTPLAN ( FDEPTID );


 EXEC P_ALTERPK 'PK_T_PMPM_DEPTTASK', 'T_PMPM_DEPTTASK', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPM_DEPTTASK_1') CREATE  CLUSTERED INDEX IDX_PMPM_DEPTTASK_1 ON T_PMPM_DEPTTASK ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_constraint.sql **/
