﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_TASK' AND KSQL_COL_NAME IN ('FCOOPERATIONPERSONID')) 
 ALTER TABLE T_PMPM_TASK ADD (FCOOPERATIONPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_TASK' AND KSQL_COL_NAME IN ('FCOOPERATIONDEPTID')) 
 ALTER TABLE T_PMPM_TASK ADD (FCOOPERATIONDEPTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_TASK' AND KSQL_COL_NAME IN ('FBELONGPLANTYPEID')) 
 ALTER TABLE T_PMPM_TASK ADD (FBELONGPLANTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_TASK' AND KSQL_COL_NAME IN ('FREALTIMEDEVIATION')) 
 ALTER TABLE T_PMPM_TASK ADD (FREALTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PROJECTPLAN') 
 CREATE TABLE T_PMPM_PROJECTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(3,1) DEFAULT 0 NOT NULL,
FSOURCEPLANID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGEPLANID BIGINT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTPLANID BIGINT DEFAULT 0 NOT NULL,
FPLANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PROJECTPLANENTRY') 
 CREATE TABLE T_PMPM_PROJECTPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FMAINTASKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_DEPTPLANENTRY') 
 CREATE TABLE T_PMPM_DEPTPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL
);


 --- drop TABLE --------- 请认真检查该脚本 ------------------- 
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK_COOPDEPT') 
 DROP TABLE T_PMPM_TASK_COOPDEPT;

 --- drop TABLE --------- 请认真检查该脚本 ------------------- 
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK_COOPER') 
 DROP TABLE T_PMPM_TASK_COOPER;


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
